Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.e2e.b2b
Class StateValue

    java.lang.Object
      |
      +--examples.e2e.b2b.StateValue

public final class StateValue
extends java.lang.Object
implements java.io.Serializable

The `StateValue` class defines a closed set of instance objects that represent the possible states for a user's session.

See Also:
  Serialized Form

Field Summary
`static StateValue` | `CREATE_PO`
`static int` | `I_CREATE_PO`
`static int` | `I_PART_SELECTED`
`static int` | `I_PO_SUBMITTED`
`static int` | `I_PRODUCT_SELECTED`
`static int` | `I_QPA_SENT`
`static int` | `I_QUOTE_QUERY`
`static int` | `I_START`
`static StateValue` | `PART_SELECTED`
`static StateValue` | `PO_SUBMITTED`
`static StateValue` | `PRODUCT_SELECTED`
`static StateValue` | `QPA_SENT`
`static StateValue` | `QUOTE_QUERY`
`static java.lang.String` | `S_CREATE_PO`
`static java.lang.String` | `S_PART_SELECTED`
`static java.lang.String` | `S_PO_SUBMITTED`
`static java.lang.String` | `S_PRODUCT_SELECTED`
`static java.lang.String` | `S_QPA_SENT`
`static java.lang.String` | `S_QUOTE_QUERY`
`static java.lang.String` | `S_START`
`static StateValue` | `START`

Method Summary
`boolean` | `equals(java.lang.Object object)`
`int` | `getInt()` Returns an integer which uniquely identifies this state value within the static instances of this class.
`static StateValue` | `getObject(java.lang.String token)` Given the string representation of a particular state this method will return the corresponding object.
`java.lang.String` | `getString()` Returns a string representation of the session state.
`int` | `hashCode()`
`java.lang.String` | `toString()` Returns a string representation of the session state.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### I_START

    public static final int I_START

### I_PRODUCT_SELECTED

    public static final int I_PRODUCT_SELECTED

### I_PART_SELECTED

    public static final int I_PART_SELECTED

### I_QPA_SENT

    public static final int I_QPA_SENT

### I_QUOTE_QUERY

    public static final int I_QUOTE_QUERY

### I_CREATE_PO

    public static final int I_CREATE_PO

### I_PO_SUBMITTED

    public static final int I_PO_SUBMITTED

### START

    public static final StateValue START

### PRODUCT_SELECTED

    public static final StateValue PRODUCT_SELECTED

### PART_SELECTED

    public static final StateValue PART_SELECTED

### QPA_SENT

    public static final StateValue QPA_SENT

### QUOTE_QUERY

    public static final StateValue QUOTE_QUERY

### CREATE_PO

    public static final StateValue CREATE_PO

### PO_SUBMITTED

    public static final StateValue PO_SUBMITTED

### S_START

    public static final java.lang.String S_START

### S_PRODUCT_SELECTED

    public static final java.lang.String S_PRODUCT_SELECTED

### S_PART_SELECTED

    public static final java.lang.String S_PART_SELECTED

### S_QPA_SENT

    public static final java.lang.String S_QPA_SENT

### S_QUOTE_QUERY

    public static final java.lang.String S_QUOTE_QUERY

### S_CREATE_PO

    public static final java.lang.String S_CREATE_PO

### S_PO_SUBMITTED

    public static final java.lang.String S_PO_SUBMITTED

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representation of the session state.

  Overrides:
    toString in class java.lang.Object

### getString

    public java.lang.String getString()

  Returns a string representation of the session state.

### getInt

    public int getInt()

  Returns an integer which uniquely identifies this state value within the static instances of this class.

### getObject

    public static StateValue getObject(java.lang.String token)

  Given the string representation of a particular state this method will return the corresponding object.

  Parameters:
    `token` - the string representation of a particular state.
  Returns:
    an object corresponding to the string provided, or null if the string provided is null or does not match an object.

### equals

    public boolean equals(java.lang.Object object)

  Overrides:
    equals in class java.lang.Object

### hashCode

    public int hashCode()

  Overrides:
    hashCode in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved